#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),"amd64 i386 powerpc"))
	export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
endif

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    BUILDOPT=build=optimized
else
    BUILDOPT=build=debug
endif

%:
	dh $@ --sourcedirectory=desktop-ui

override_dh_auto_build:
	dh_auto_build -- $(BUILDOPT)

override_dh_auto_install:
	dh_auto_install -- prefix=../debian/tmp/usr

override_dh_auto_test:
